<?php
// Copyright (C) 2008 - 2013 Small Green Computer
//

require '/var/www/html/libs/Smarty.class.php';

function NotMac($address){
	If(strlen($address) > 17) return 1;
	If($address == '') return 1;
	If (!eregi('^[0-9A-Z]+(\:[0-9A-Z]+)+(\:[0-9A-Z]+)+(\:[0-9A-Z]+)+(\:[0-9A-Z]+)+(\:[0-9A-Z]+)$',$address)) return 1;
	$Array=explode(':',$address);
	If(strlen($Array[0]) != 2) return 1;
	If(strlen($Array[1]) != 2) return 1;
	If(strlen($Array[2]) != 2) return 1;
	If(strlen($Array[3]) != 2) return 1;
	If(strlen($Array[4]) != 2) return 1;
	If(strlen($Array[5]) != 2) return 1;
	return 0;
}

function randomHex(){
	$hex = str_pad(strtoupper(dechex(rand( 0,255))), 2, '0', STR_PAD_LEFT);
	return $hex;
}

function RandomMac(){
	$RandomMac ='00:04:20:'.randomHex().':'.randomHex().':'.randomHex();
	return $RandomMac;
}

$smarty = new Smarty;
$smarty->caching = 0;

$smarty->compile_check = true;
$smarty->debugging = false;

$configfile = '/var/www/html/config/playergui.cfg';

require '/var/www/html/libs/vortexbox_libs.php';

$_action = isset($_REQUEST['action']) ? $_REQUEST['action'] : 'default';
$config = array();

if (file_exists($configfile)) {
    $config = array();
} else {
// build default if required
    $config = array();
	$fp = fopen($configfile,'w');
	fwrite($fp,serialize($config));
	fclose($fp);	
}
	
switch($_action) {
    case 'submit':
		exec('sudo /opt/vortexbox/doaction.sh ClearPlayers >/dev/null 2>&1');	
		$deviceNumber=0;
		unset($config);
		for ( $counter = 0; $counter <= 4 ; $counter++) {
		  if (isset($_REQUEST['DEVICENAME'.$counter]) & !$_REQUEST['DEVICENAME'.$counter] == '0' & !trim($_REQUEST['NAME'.$counter]) =='') {
		    // set player name
			$config[$deviceNumber]['NAME'] = trim($_REQUEST['NAME'.$counter]);
		    // set audio device
			$config[$deviceNumber]['DEVICENAME'] = trim($_REQUEST['DEVICENAME'.$counter]);
			// set MAC address
			if (isset($_REQUEST['MAC'.$counter])) { 
				$config[$deviceNumber]['MAC'] = trim(strtoupper($_REQUEST['MAC'.$counter]));
			} else {
				$config[$deviceNumber]['MAC'] = RandomMac();
			}
			if (NotMac($config[$deviceNumber]['MAC'])) {$config[$deviceNumber]['MAC'] = RandomMac(); }
			$deviceNumber++;
		  }
		}  
		$fp = fopen($configfile,'w');
		fwrite($fp,serialize($config));
		fclose($fp);
        // Reconfig squeezelite
		exec('sudo /opt/vortexbox/doaction.sh CreatePlayers  >/dev/null 2>&1');		
	
		break;   
	default:
		$configall = file_get_contents($configfile);
		$config = unserialize($configall); 
}

$x=0;
foreach ($config as $devarray) {
  foreach ($devarray as $key => $value) {
   $smarty->assign($key.$x,$value);
  }
$x++;
} 

if (file_exists('/var/www/html/config/audio_devices.cfg')) {
   $audio_devices = unserialize(file_get_contents('/var/www/html/config/audio_devices.cfg'));
   natcasesort($audio_devices);
   $audio_devices = array_merge(array('0' => 'None'), $audio_devices);
   $smarty->assign('audio_devices', $audio_devices);
}

$smarty->assign('CardList', nl2br(str_replace(' ','&nbsp;',file_get_contents('/proc/asound/cards'))));
$smarty->assign('CardOutputList', nl2br(str_replace(' ','&nbsp;',file_get_contents('/proc/asound/devices'))));

$smarty->display('config-player.tpl');

?>