<?php
// Copyright (C) 2008 - 2013 vortexbox.org
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

$loacation_count = 0;
$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('Home'), 'icon' => 'home.png', 'link' => '/');
$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'SqueezeBox Server', 'icon' => 'SqueezeCenter.png', 'link' => 'http://'.$ipaddress.':'.$SCport, 'newtab' => '1');
$loacation_count += 10;

// Check to see if ripit is installed
if (file_exists("/usr/bin/ripit")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'CD/DVD Ripper', 'icon' => 'cddrive.png', 'link' => '/ripstatus.php');
	$loacation_count += 10;
}	
$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('FLAC Mirror'), 'icon' => 'flacmirror.png', 'link' => '/flacmirror.php');
$loacation_count += 10;
$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('System Status'), 'icon' => 'status.png', 'link' => '/phpsysinfo', 'newtab' => '1');
$loacation_count += 10;
$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('Network Configuration'), 'icon' => 'network.png', 'link' => '/network.php');
$loacation_count += 10;
$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('System Configuration'), 'icon' => 'tools.png', 'link' => '/system.php');
$loacation_count += 10;
$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('Backup'), 'icon' => 'backup.png', 'link' => '/backup.php');
$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'DLNA', 'icon' => 'dlna.png', 'link' => '/dlna.php');

if (file_exists('/opt/supersync/supersync.jar')) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Supersync Admin', 'icon' => 'supersync.png', 'link' => 'http://'.$ipaddress.':5360/admin', 'newtab' => '1');
	$loacation_count += 10;
}
  
//check to see if Azureus is installed
if (file_exists("/opt/azureus")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Azureus BitTorrent', 'icon' => 'frog.png', 'link' => 'http://'.$ipaddress.':6886');
	$loacation_count += 10;
}

if (file_exists("/opt/simplifymedia/SimplifyPeer")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Simplify Media Server', 'icon' => 'simplifymedia.png', 'link' => '/simplifymedia.php');
	$loacation_count += 15;
}

if (file_exists("/opt/sonos/sonos.pl")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Sonosweb', 'icon' => 'sonos.png', 'link' => 'http://'.$ipaddress.':8001/isonos');
}

if (file_exists("/lib/systemd/system/transmission-daemon.service")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Transmission', 'icon' => 'transmission.png', 'link' => 'http://'.$ipaddress.':9091');
}

if (file_exists("/opt/twonkymedia")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Twonky Media Server', 'icon' => 'upnp.png', 'link' => 'http://'.$ipaddress.':9001');
	$loacation_count += 15;
}

if (file_exists("/etc/rc.d/init.d/plexmediaserver")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Plex Media Server', 'icon' => 'plex.png', 'link' => 'http://'.$ipaddress.':32400/manage');
	$loacation_count += 15;
}

if (file_exists("/opt/MusicMagicMixer/mm.jar")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'MusicIP', 'icon' => 'ams.png', 'link' => 'http://'.$ipaddress.':10002');
}

if (file_exists("/usr/bin/subsonic")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Subsonic', 'icon' => 'subsonic.png', 'link' => 'http://'.$ipaddress.':4040');
}

if (file_exists("/opt/bliss/bin/bliss.sh")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Bliss', 'icon' => 'bliss.png', 'link' => 'http://'.$ipaddress.':3220');
}

// Check to see if VortexBox Player is installed
if (file_exists("/usr/bin/vortexbox-player")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Configure VortexBox Player', 'icon' => 'vortexbox-player.png', 'link' => '/vortexbox-player.php');
	$loacation_count += 15;
}

// Check to see if Squeezelite is installed
if (file_exists("/usr/bin/squeezelite")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Configure Player', 'icon' => 'vortexbox-player.png', 'link' => '/config-player.php');
	$loacation_count += 10;
}

$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('VortexBox Upgrade'), 'icon' => 'upgrade.png', 'link' => '/upgrade.php');

$smarty->assign('IconList',$icon_array);

?>
