{include file="header.tpl"}

<script type="text/javascript" src="/js/ajax.js"> </script>

<div class="xsnazzy">
<b class="xtop"><b class="xb1"></b><b class="xb2 color_a">
</b><b class="xb3 color_a"></b><b class="xb4 color_a"></b></b>
<div class="xboxcontent">
<h1 class="color_a">{t}System Configuration{/t} {include file='tooltip.tpl' Name='VortexBox System Configuration' File='sysconfig'}</h1>

<button onclick='confirmAction("{t}Are you sure you want to REBOOT your VortexBox?{/t}","/system.php?action=Reboot");'>{t}Reboot{/t}</button>
<button onclick='confirmAction("{t}Are you sure you want to POWER OFF your VortexBox?{/t}","/system.php?action=PowerDown");'>{t}Power Down{/t}</button>
<button onclick='confirmAction("{t}Are you sure you want to sync your VortexBox to an internet time server.{/t}","/system.php?action=SyncTime");'>{t}Correct System Time{/t}</button>
<a href="/licensemanager.php">{t}License Manager{/t}</a> 
<br>
<br>

<div>
<form action="{$SCRIPT_NAME}?action=submit" method="post">
	<p><b>{t}Current Date Time string{/t}:</b></p>
	<p>{$CurrentDate}</p>
	<br>
	<p><b>{t}Time Zone{/t}:</b></p>
	<p>{html_options name='TIMEZONE' options=$tzlist selected=$CURRENTTIMEZONE}</p>
	<br>
	<p><b>{t}Temperature Format{/t}:</b></p>
	<p>{html_radios name='TEMPFORMAT' options=$TempFormatList selected=$CurrentTempFormat separator='<br />'}</p>
<br>

<p><input type="submit" value="{t}Submit{/t}"></p>
</form>
<br>

<hr>
<form action="{$SCRIPT_NAME}?action=setlanguage" method="post">
	<p><b>Language:</b></p>
	<p>{html_options name='LANGUAGE' options=$languages selected=$CURRENTLANGUAGE}</p>
	<br>
	<p><input type="submit" value="{t}Submit{/t}"></p>
</form>
<hr>
<br>
<p><b>{t}Service Manager{/t}</b></p>
</div>

<div class="texttable">
<p>
<table>
    <tr>
      <th>{t}Service{/t}</th>
      <th>{t}Status{/t}</th>
      <th>{t}Control{/t}</th>
    </tr>
	{foreach from=$servicestatus key=service item=s}
		{if $s.Status == "active"}
			{assign var='color' value="green"}
		{elseif $s.Status == "failed"}
			{assign var='color' value="red"}
		{else}
			{assign var='color' value="gray"}
		{/if}
	<tr {if $i++ is odd by 1}class="odd"{/if}>
	   <td>{$s.Name}</td>
	   <td><div class="status"><table><tr><td id="{$color}">{$s.Status}</td></tr></table></div></td>
	   <td><button onclick='confirmAction("{t}Are you sure you want to stop{/t} {$s.Name}?","/reload.php?action=ServiceStop&service={$service}");'>{t}Stop{/t}</button><button onclick='confirmAction("{t}Are you sure you want to start{/t} {$s.Name}?","/reload.php?action=ServiceStart&service={$service}");'>{t}Start{/t}</button></td>		
	</tr>
	{/foreach}	
</table>
</p>
</div>
<br>
<hr>
<p><b>{t}Logitech Media Server (LMS){/t}</b></p>
<p>{t}If your having problems with cover art in LMS use this to clear your cover art cache.{/t}</b></p>
<p><button onclick='confirmAction("{t}Are you sure you want to clear your Logitech Media Server artwork database?{/t}","/system.php?action=CleanLMS");'>{t}Clear LMS art cache{/t}</button></p>

<p></p>
</div>
<b class="xbottom"><b class="xb4"></b><b class="xb3"></b>
<b class="xb2"></b><b class="xb1"></b></b>
</div>

{include file="footer.tpl"}
